Bug 1393834

Summary: perl-Algorithm-CurveFit-1.05-17.fc26 FTBFS on ppc64le: Can't call method "element" on an undefined value
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: perl-Algorithm-CurveFitAssignee: Jitka Plesnikova <jplesnik>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: hannsj_uhl, jplesnik, perl-devel
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64le   
OS: Unspecified   
URL: https://apps.fedoraproject.org/koschei/package/perl-Algorithm-CurveFit?collection=f26
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-04 14:03:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1071880, 1051573    

Description Petr Pisar 2016-11-10 12:33:44 UTC
perl-Algorithm-CurveFit-1.05-17.fc26 fails to build on ppc64le:

t/01basic.t ...... ok
Can't call method "element" on an undefined value at /builddir/build/BUILD/Algorithm-CurveFit-1.05/blib/lib/Algorithm/CurveFit.pm line 217.
# Looks like your test exited with 255 before it could output anything.
t/02bad_deriv.t .. 
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 13/13 subtests

Comment 1 Fedora End Of Life 2017-02-28 10:35:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Jitka Plesnikova 2017-09-04 14:03:44 UTC
The package was retired in rawhide and Fedora 27.